<!DOCTYPE html>
<html lang="en">
<head>
     <meta charset="UTF-8">
     <meta http-equiv="X-UA-Compatible" content="IE=edge">
     <meta name="viewport" content="width=device-width, initial-scale=1.0">
     <title>USER Detail</title>

     <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
     <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
     <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>
<body>
     <div class="container jumbotron w-50">
          <div class="row form-group">
               <div class="col-sm-12 text-center">
                    <h3>CHI TIẾT USER</h3>
                    <a id="inp-id"></a>
               </div>
          </div>
          <div class="row form-group">
               <div class="col-sm-3">
                    <label for="">Name</label>
               </div>
               <div class="col-sm-9">
                    <input id="inp-name" type="text" class="form-control">
               </div>
          </div>
          <div class="row form-group">
               <div class="col-sm-3">
                    <label for="">User Name</label>
               </div>
               <div class="col-sm-9">
                    <input id="inp-user-name" type="text" class="form-control">
               </div>
          </div>
          <div class="row form-group">
               <div class="col-sm-3">
                    <label for="">Email</label>
               </div>
               <div class="col-sm-9">
                    <input id="inp-email" type="text" class="form-control">
               </div>
          </div>
          <div class="row form-group">
               <div class="col-sm-3">
                    <label for="">Address</label>
               </div>
               <div class="col-sm-9">
                    <div class="row form-group">
                         <div class="col-sm-2">
                              <label for="suite">Suite</label>
                        </div>
                        <div class="col-sm-10">
                              <input id="inp-suite" type="text" class="form-control">
                        </div>
                    </div>
                    <div class="row form-group">
                         <div class="col-sm-2">
                              <label for="street">Street</label>
                        </div>
                        <div class="col-sm-10">
                              <input id="inp-street" type="text" class="form-control">
                        </div>
                    </div>
                    <div class="row form-group">
                         <div class="col-sm-2">
                              <label for="city">City</label>
                        </div>
                        <div class="col-sm-10">
                              <input id="inp-city" type="text" class="form-control">
                        </div>
                    </div>
                    <div class="row form-group">
                         <div class="col-sm-2">
                              <label for="zipcode">Zip Code</label>
                        </div>
                        <div class="col-sm-10">
                              <input id="inp-cip-code" type="text" class="form-control">
                        </div>
                    </div>
                    <div class="row form-group">
                         <div class="col-sm-2">
                              <label for="Geo">Geo</label>
                        </div>
                        <div class="col-sm-10">
                         <div class="row form-group">
                              <div class="col-sm-2">
                                   <label for="Lat">Lat</label>
                             </div>
                             <div class="col-sm-10">
                                   <input id="inp-lat" type="text" class="form-control">
                             </div>
                         </div>
                         <div class="row form-group">
                              <div class="col-sm-2">
                                   <label for="Lng">Lng</label>
                             </div>
                             <div class="col-sm-10">
                                   <input id="inp-lng" type="text" class="form-control">
                             </div>
                         </div>
                        </div>
                    </div>
               </div>
          </div>
          <div class="row form-group">
               <div class="col-sm-3">
                    <label for="">Phone</label>
               </div>
               <div class="col-sm-9">
                    <input id="inp-phone" type="text" class="form-control">
               </div>
          </div>
          <div class="row form-group">
               <div class="col-sm-3">
                    <label for="">Website</label>
               </div>
               <div class="col-sm-9">
                    <input id="inp-website" type="text" class="form-control">
               </div>
          </div>
          <div class="row form-group">
               <div class="col-sm-3">
                    <label for="">Company</label>
               </div>
               <div class="col-sm-9">
                    <div class="row form-group">
                         <div class="col-sm-3">
                              <label for="companyName">Name</label>
                         </div>
                         <div class="col-sm-9">
                              <input id="inp-company-name" type="text" class="form-control">
                         </div>
                    </div>
                    <div class="row form-group">
                         <div class="col-sm-3">
                              <label for="companyName">Catch Phrase</label>
                         </div>
                         <div class="col-sm-9">
                              <input id="inp-catch-phrase" type="text" class="form-control">
                         </div>
                    </div>
                    <div class="row form-group">
                         <div class="col-sm-3">
                              <label for="companyName">Bs</label>
                         </div>
                         <div class="col-sm-9">
                              <input id="inp-bs" type="text" class="form-control">
                         </div>
                    </div>
               </div>
          </div>
          <div class="row form-group">
               <div class="col-sm-12" style="text-align: right;">
                    <button id="btn-back" class="btn btn-success">QUAY LẠI</button>
               </div>
          </div>
     </div>
</body>
<script>
      "use strict";

     /*** REGION 1 - Global variables - Vùng khai báo hằng số, tham số TOÀN CỤC */
     var gUserId;
      
         
     /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */

     $(document).ready(function(){
          $("#btn-back").on("click", function(){
               const V_HOME_URL = "Task 35.10.html";
               window.location.href = V_HOME_URL;
          })
          onPageLoading();
     })
     /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */

     //hàm xử lý viêc tải trang 
     function onPageLoading(){
          var vUrlString = window.location.href;
          console.log(vUrlString);
          var vUrl = new URL(vUrlString);

          gUserId = vUrl.searchParams.get("id");
          console.log("ID: " + gUserId);
          //B2: kiểm tra dữ liêu
          var vCheck = validateData(gUserId);
          if(vCheck){
                //B3: goi sever
                $.ajax({
                    url: "https://jsonplaceholder.typicode.com/users/" + gUserId,
                    dataType:"json", 
                    success: function(res){
                         console.log(res);

                         //B4: xử lý hiển thị
                         showDataOnForm(res);
                    },
                    error: function(ajaxContext){
                         alert(ajaxContext.responseText);
                    }
                    
                });
          }
         

          
     }
     /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/


     //hàm kiểm tra dữ liêu 
     function validateData(paramIdDetail){
          if(paramIdDetail == "" || paramIdDetail == null){
               alert("Không có id!!!");
               return false;
          }
          return true;
     }


     //hàm show lên form 
     function showDataOnForm(paramUserObj){
          $("#inp-id").html("ID: " + paramUserObj.id);
          $("#inp-name").val(paramUserObj.name);
          $("#inp-user-name").val(paramUserObj.username);
          $("#inp-email").val(paramUserObj.email);
          $("#inp-suite").val(paramUserObj.address.suite);
          $("#inp-street").val(paramUserObj.address.street);
          $("#inp-city").val(paramUserObj.address.city);
          $("#inp-cip-code").val(paramUserObj.address.zipcode);
          $("#inp-lat").val(paramUserObj.address.geo.lat);
          $("#inp-lng").val(paramUserObj.address.geo.lng);
          $("#inp-phone").val(paramUserObj.phone); 
          $("#inp-website").val(paramUserObj.website);
          $("#inp-company-name").val(paramUserObj.company.name);
          $("#inp-catch-phrase").val(paramUserObj.company.catchPhrase);
          $("#inp-bs").val(paramUserObj.company.bs);
          


     }


</script>
</html>